<?php
	// required headers
	header("Access-Control-Allow-Origin: *");
	header("Content-Type: application/json; charset=UTF-8");
	 
	// include database and object files
	include_once '../config/database.php';
	include_once '../objects/room_type.php';
	 
	// instantiate database
	$database = new Database();
	$db = $database->getConnection();
	 
	// initialize object
	$room_type = new RoomType($db);

	$stmt = $room_type->getAllRows();
	$num = $stmt->rowCount();

	$arr=array();
	$arr["records"]=array();
	if($num>0){
		while ($row = $stmt->fetch(PDO::FETCH_ASSOC)){
			extract($row);
			$item=array(
				"id" => (int)$id,
				"room_type" => $room_type,
				"description" => $description,
				"room_rate" => $room_rate,
				"max_occupancy" => $max_occupancy,
				"amenities" => $amenities,
				"extra_bed_rate" => $extra_bed_rate,

			);
			array_push($arr["records"], $item);
		}	
	}
	echo json_encode($arr);
?>